package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.fire.service.MhCompanyService;
import com.usky.fire.service.vo.MhCompanyVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 闵行-单位信息表 前端控制器
 * </p>
 *
 * @author han
 * @since 2025-03-28
 */
@RestController
@RequestMapping("/mhCompany")
public class MhCompanyController {
    @Autowired
    private MhCompanyService mhCompanyService;

    /**
     * 获取单位信息
     *
     * @param type 类型（1:厂房仓库）
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param pageNum 当前页
     * @param pageSize 每页条数
     * @return
     */
    @GetMapping("/getWarehouse")
    public ApiResult<CommonPage<MhCompanyVO>> getWarehouse(@RequestParam(value = "type") Integer type,
                                                           @RequestParam(value = "startTime", required = false) String startTime,
                                                           @RequestParam(value = "endTime", required = false) String endTime,
                                                           @RequestParam(value = "pageNum", required = false, defaultValue = "1") Integer pageNum,
                                                           @RequestParam(value = "pageSize", required = false, defaultValue = "20") Integer pageSize) {
        return ApiResult.success(mhCompanyService.getWarehouse(type, startTime, endTime, pageNum, pageSize));
    }
}

