package com.usky.fire.domain;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 闵行-建筑信息表
 * </p>
 *
 * @author han
 * @since 2025-04-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MhBuild implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识
     */
    @TableId(type = IdType.INPUT)
    private Long id;

    /**
     * 建筑名称
     */
    private String buildName;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 区域
     */
    private String area;

    /**
     * 街道
     */
    private String street;

    /**
     * 建筑地址
     */
    private String address;

    /**
     * 完整地址
     */
    @TableField("addressPc")
    private String addressPc;

    /**
     * 建筑结构
     */
    private String buildStructure;

    /**
     * 建筑面积
     */
    private String buildArea;

    /**
     * 建筑高度
     */
    private String height;

    /**
     * 地上建筑层数
     */
    private Long buildFloorsUp;

    /**
     * 地下建筑层数
     */
    private Long buildFloorsDown;

    /**
     * 消防设施
     */
    private String fireFightingDevice;

    /**
     * 使用性质
     */
    private String buildNature;

    /**
     * 产权单位
     */
    private String propertyOwner;

    /**
     * 法定代表人
     */
    private String legal;

    /**
     * 产权或管理单位法定代表人
     */
    private String propertyLegal;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 租户ID
     */
    private String leaseholderId;

    /**
     * 公司id
     */
    private String companyInfoId;

    /**
     * 1:多产权，0:单产权
     */
    private Integer property;

    /**
     * 产权类型
     */
    private String propertyStr;

    /**
     * 管理单位名称
     */
    private String manageCompany;

    /**
     * 使用性质
     */
    private List<String> buildNatures;

    /**
     * 消防设施
     */
    private List<String> fireFightingDevices;

    /**
     * 公司信息
     */
    private List<String> companyInfos;

    /**
     * 单位操作日志
     */
    private String companyOperLogs;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    /**
     * 更新时间字符串
     */
    private String updateTimeStr;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 上级更新公司
     */
    private String upperUpdateCompany;

    /**
     * 更新公司
     */
    private String updateCompany;

    /**
     * 更新人电话
     */
    private String updateByPhone;

    /**
     * 使用状态 0：正常 1：注销
     */
    private String status;
}
