package com.usky.fire.domain;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 闵行-单位信息表
 * </p>
 *
 * @author han
 * @since 2025-03-28
 */
@TableName("mh_company")
@Data
@EqualsAndHashCode(callSuper = false)
public class MhCompany implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.INPUT)
    //@TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 单位名称
     */
    //@TableField("company_name")
    private String companyName;

    /**
     * 单位类型（自用，出租）
     */
    //@TableField("company_status")
    private String companyStatus;

    /**
     * 单位地址
     */
    //@TableField("company_address")
    private String companyAddress;

    /**
     * 是否开通企业码 0:未开通 1：开通
     */
    //@TableField("qr_code")
    private Integer qrcode;

    /**
     * 统一社会信用代码
     */
    //@TableField("credit_code")
    private String creditCode;

    /**
     * 法人代表
     */
    //@TableField("company_legal")
    private String companyLegal;

    /**
     * 消防安全管理人
     */
    //@TableField("safety_manager")
    private String safetyManager;

    /**
     * 联系电话
     */
    //@TableField("phone")
    private String phone;

    /**
     * 单位类别标签1
     */
    //@TableField("company_type1")
    private String companyType1;

    /**
     * 单位类别标签2
     */
    //@TableField("company_type2")
    private String companyType2;

    /**
     * 单位类别标签3
     */
    //@TableField("company_type3")
    private String companyType3;

    /**
     * 自用建筑面积
     */
    //@TableField("company_area")
    private String companyArea;

    /**
     * 夹（插）层面积
     */
    //@TableField("interlayer_area")
    private String interlayerArea;

    /**
     * 冷库面积
     */
    //@TableField("cold_storage_area")
    private String coldStorageArea;

    /**
     * 使用部位
     */
    //@TableField("use_part")
    private String usePart;

    /**
     * 所属街道
     */
    //@TableField("street")
    private String street;

    /**
     * 建筑id
     */
    //@TableField("build_id")
    private Long buildId;

    /**
     * 隐患状态 
     */
    //@TableField("state")
    private String state;

    /**
     * 单位门头照
     */
    //@TableField("photo")
    private String photo;

    /**
     * 营业执照照片
     */
    //@TableField("license_photo")
    private String licensePhoto;

    /**
     * 没有拍营业执照原因
     */
    //@TableField("reason")
    private String reason;

    /**
     * 单位状态 0：正常 1：注销
     */
    // @TableField("status")
    private Integer status;

    /**
     * 1：排查过 0：未排查
     */
    //@TableField("is_examine")
    private Integer isExamine;

    /**
     * 1：有隐患  0：无隐患
     */
    // @TableField("have_trouble")
    private String haveTrouble;

    /**
     * 创建人
     */
    // @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //@TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    //@TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //@TableField("update_time")
    private LocalDateTime updateTime;


}
