package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 隐患信息表
 * </p>
 *
 * @author han
 * @since 2025-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class MhHiddenDanger implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId("logId")
    private Long logId;

    /**
     * 单位Id
     */
    @TableField("companyId")
    private Long companyId;

    /**
     * 单位名称
     */
    @TableField("companyName")
    private String companyName;

    /**
     * 单位地址全名称
     */
    private String address;

    /**
     * 单位地址
     */
    @TableField("companyAddress")
    private String companyAddress;

    /**
     * 隐患更新时间
     */
    @TableField("examineTime")
    private String examineTime;

    /**
     * 检查人
     */
    @TableField("examinePerson")
    private String examinePerson;

    /**
     * 当前隐患数
     */
    @TableField("troubleNumber")
    private String troubleNumber;

    /**
     * 总隐患数
     */
    @TableField("findTroubleNumber")
    private String findTroubleNumber;

    /**
     * 当前单位隐患状态
     */
    private String status;

    /**
     * 部门id
     */
    @TableField("deptId")
    private String deptId;

    /**
     * 部门名称
     */
    @TableField("deptName")
    private String deptName;

    /**
     * 区划
     */
    private String area;

    /**
     * 街镇
     */
    private String street;


}
